language: generic
sudo: required
services:
  - docker

before_install:
  - docker build -t denyscheporniuk/react-test -f ./frontend/Dockerfile.dev ./frontend

script:
  - docker run -e CI=true denyscheporniuk/react-test npm test

after_success:
  - docker build -t denyscheporniuk/multi-api ./api
  - docker build -t denyscheporniuk/multi-frontend ./frontend
  - docker build -t denyscheporniuk/multi-nginx ./nginx
  - docker build -t denyscheporniuk/multi-worker ./worker

  # Log in to the docker CLI
  - echo "$DOCKER_PASSWORD" | docker login -u "$DOCKER_ID" --password-stdin

  # Push docker images to docker hub
  - docker push denyscheporniuk/multi-api
  - docker push denyscheporniuk/multi-frontend
  - docker push denyscheporniuk/multi-nginx
  - docker push denyscheporniuk/multi-worker
